Send an SMS to a contact or mobile number.
Required permissions: Send TXT Out
post
Path parameters
programmeIDstring · uuidRequired
Query parameters
apiTokenstringRequired
API authentication token
Body
mobileNumberstringOptional
referenceIDstringOptional
messagestringOptional
shortenLinksbooleanOptional
Responses
200
OK
application/json
messageIDstringOptional
400
Missing Parameter Value
application/json
401
Incorrect Permissions or Invalid API Token
application/json
500
Engage Server Error. Unable to process response at this time.
application/json
post/txt/programmes/{programmeID}/sendtxt
POST /txt/programmes/{programmeID}/sendtxt?apiToken=text HTTP/1.1
Host: api.ubiquity.co.nz
Content-Type: application/json
Accept: */*
Content-Length: 81
{
"mobileNumber": "text",
"referenceID": "text",
"message": "text",
"shortenLinks": true
}{
"messageID": "text"
}Last updated
Was this helpful?

